Mac Software, Snow Leopard Support Now Available

A new version of the Live Mesh Mac software is available that provides support for both Mac OS X Leopard (10.5) and Snow Leopard (10.6). Leopard users are not required to install this release.   To upgrade to this new release, you will need to reinstall Live Mesh for Mac. To do so, please go…

2